> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/yardi-rest/appointments/update-applicant-appointment-yardi-rest/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Update Applicant Appointment: Yardi REST PUT https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/{event_id} Content-Type: application/json Update Applicant Appointment: Yardi REST | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/ImportYardiGuest | Reference: https://docs.propexo.com/api-reference/yardi-rest/appointments/update-applicant-appointment-yardi-rest ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Path parameters - `event_id` (string, required) — The Propexo unique identifier for the event ### Body (application/json) This endpoint expects a _v1_events_appointments_applicants_yardi_rest_{event_id}_put_input. - `appointment_date` (V1EventsAppointmentsApplicantsYardiRestEventIdPutInputAppointmentDate, required) — The date when the appointment will occur - `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones ## Response ### 200 Successful response - `meta` (V1EventsAppointmentsApplicantsYardiRestEventIdPutOutputMeta, required) - `result` (V1EventsAppointmentsApplicantsYardiRestEventIdPutOutputResult, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### V1EventsAppointmentsApplicantsYardiRestEventIdPutInputAppointmentDate The date when the appointment will occur ### V1EventsAppointmentsApplicantsYardiRestEventIdPutOutputMeta - `job_id` (string, required) ### V1EventsAppointmentsApplicantsYardiRestEventIdPutOutputResult - `event_id` (string, required) — The Propexo unique identifier for the event - `appointment_date` (V1EventsAppointmentsApplicantsYardiRestEventIdPutOutputResultAppointmentDate, required) — The date when the appointment will occur - `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### V1EventsAppointmentsApplicantsYardiRestEventIdPutOutputResultAppointmentDate The date when the appointment will occur ## Examples **Request** ```json { "appointment_date": "2024-01-15T09:30:00Z", "appointment_time": "09:30:00" } ``` **Response** ```json { "meta": { "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890" }, "result": { "event_id": "evt-20240115-0930-xyz", "appointment_date": "2024-01-15T09:30:00Z", "appointment_time": "09:30:00" } } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/event_id" payload = { "appointment_date": "2024-01-15T09:30:00Z", "appointment_time": "09:30:00" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/event_id'; const options = { method: 'PUT', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"appointment_date":"2024-01-15T09:30:00Z","appointment_time":"09:30:00"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/event_id" payload := strings.NewReader("{\n \"appointment_date\": \"2024-01-15T09:30:00Z\",\n \"appointment_time\": \"09:30:00\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/event_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"appointment_date\": \"2024-01-15T09:30:00Z\",\n \"appointment_time\": \"09:30:00\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/event_id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"appointment_date\": \"2024-01-15T09:30:00Z\",\n \"appointment_time\": \"09:30:00\"\n}") .asString(); ``` ```php request('PUT', 'https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/event_id', [ 'body' => '{ "appointment_date": "2024-01-15T09:30:00Z", "appointment_time": "09:30:00" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/event_id"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"appointment_date\": \"2024-01-15T09:30:00Z\",\n \"appointment_time\": \"09:30:00\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "appointment_date": "2024-01-15T09:30:00Z", "appointment_time": "09:30:00" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/event_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```